# SoOnOff Class Reference
[Engine classes]

`#include <Inventor/engines/SoOnOff.h>`

Inheritance diagram for SoOnOff:

List of all members.

## Detailed Description

The SoOnOff engine is a simple on/off switch.

## Public Member Functions

| SoOnOff (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFTrigger | on
SoSFTrigger | off
SoSFTrigger | toggle
SoEngineOutput | isOn
SoEngineOutput | isOff

## Protected Member Functions

| ~SoOnOff ()

## Constructor & Destructor Documentation

SoOnOff::SoOnOff | ( | void |  | ) |

| Default constructor.

SoOnOff::~SoOnOff | ( |  | ) | `[protected]`

| Destructor is protected because engines are reference counted.

## Member Function Documentation

void SoOnOff::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

## Member Data Documentation

SoSFTrigger SoOnOff::on

| An input signal on this trigger makes the SoOnOff::isOn output become `TRUE`.

SoSFTrigger SoOnOff::off

| An input signal on this trigger makes the SoOnOff::isOn output become `FALSE`.

SoSFTrigger SoOnOff::toggle

| An input signal on this trigger toggles the `TRUE` or `FALSE` value of the SoOnOff::isOn output.

SoEngineOutput SoOnOff::isOn

| (SoSFBool) Whether the engine is "on" or not.

SoEngineOutput SoOnOff::isOff

| (SoSFBool) Always the opposite value of SoOnOff::isOn.

The documentation for this class was generated from the following files:

- SoOnOff.h
- SoOnOff.cpp